SELECT usecounts, cacheobjtype, objtype, [text]
FROM sys.dm_exec_cached_plans P
CROSS APPLY sys.dm_exec_sql_text(plan_handle)
WHERE cacheobjtype = 'Compiled Plan' AND [text] NOT LIKE '%dm_exec_cached_plans%'
GO

DBCC FREEPROCCACHE
GO

-- Adhoc query that is cached once
SELECT * FROM Sales.SalesOrderDetail
WHERE CarrierTrackingNumber='4911-403C-98'

-- Same Adchoc query with change in text (case-sensitive) generates a new plan instead of plan reuse
SELECT * FROM Sales.SalesOrderDetail
WHERE carrierTrackingNumber='4911-403C-98'
