DBCC FREEPROCCACHE   
-- Change the parameterization to Forced
ALTER DATABASE AdventureWorks SET PARAMETERIZATION FORCED

SET STATISTICS IO ON

-- Run the 1st query which will be cached
SELECT * FROM Sales.SalesOrderDetail
WHERE CarrierTrackingNumber='B8A8-4744-87'

-- Run the 2nd query which will use the same plan as that of query 1
SELECT * FROM Sales.SalesOrderDetail
WHERE CarrierTrackingNumber='9429-430D-89'

SELECT usecounts, cacheobjtype, objtype, [text]
FROM sys.dm_exec_cached_plans P
   CROSS APPLY sys.dm_exec_sql_text (plan_handle)
WHERE cacheobjtype = 'Compiled Plan'
   AND [text] NOT LIKE '%dm_exec_cached_plans%'
   
-- Changing the parameterization to Simple
ALTER DATABASE AdventureWorks SET PARAMETERIZATION SIMPLE

