/*** CREATING AN EMPTY TABLE ***/
IF EXISTS(SELECT 1 FROM sys.objects WHERE name='T')
DROP TABLE t

CREATE TABLE t(col1 int, col2 varchar(max))

DECLARE @i int= 0
-- INSERTING 1000 UNIQUE VALUES
WHILE @i < 1000
BEGIN
	INSERT INTO t(col1,col2) 
	VALUES (@i,REPLICATE('abcd',1000))
	SET @i = @i + 1
END

SET @i = 0
-- INSERTING 100000 DUPLICATE VALUES
WHILE @i < 100000
BEGIN
	INSERT INTO t(col1,col2) 
	VALUES (5000,REPLICATE('wxyz',10000))
	SET @i = @i + 1
END
GO
-- CREATING STATISTICS WITH FULL SCAN
CREATE STATISTICS t_col1 ON t(col1) WITH FULLSCAN
GO
-- CREATING A PROCEDURE TO TEST THE PARAMETER SNIFFING
CREATE PROCEDURE Parametersniff
@param1 smallint
AS
BEGIN
	SELECT * FROM t WHERE col1=@param1
END
GO
-- CREATE NON-CLUSTERED INDEX ON THE TABLE 
CREATE INDEX IX_test ON dbo.t
(
col1 ASC
)
GO
-- ENABLING THE STATISTICS IO OPTION TO CHECK THE READS DONE ON THE TABLE
SET STATISTICS IO ON
GO
EXEC dbo.Parametersniff 5000
GO
DBCC FREEPROCCACHE
GO
EXEC dbo.Parametersniff 1
GO